package com.gyee.frame.util;


import com.gyee.frame.common.conf.V2Config;
import com.gyee.frame.util.golden.EdosUtil;
import com.gyee.frame.util.mongodb.MongodbUtilImpl;

public class RealTimeDataBaseFactory {


    public static IRealTimeDataBaseUtil createRealTimeDataBase() {


        switch (V2Config.getRealtimedataBase()) {
            case "mongodb":
                return new MongodbUtilImpl();
            case "golden":
                return new EdosUtil();
            default:
                return new MongodbUtilImpl();
        }
    }
}
